# 32/64bit spec-file
#
%define	name	tuxpuck
%define	version	0.8.2
%define	release	%mkrel 1

Summary:	Clone of ShufflePuck Cafe historical game
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		tuxpuck-0.8.2-png15.patch
URL:		http://altruistic.lbl.gov/mirrors/ubuntu/pool/universe/t/tuxpuck/
License:	GPLv2+
Group:		Games/Arcade
BuildRequires:	%{_lib}SDL-devel png-devel oggvorbis-devel zlib-devel jpeg-devel
BuildRequires:	freetype2-devel

%description
Anyone remember "Shufflepuck Cafe" for the Amiga/AtariST ?

%prep
%setup -q
%patch0 -p0

%build
perl -pi -e 's/-Werror//' Makefile utils/Makefile
perl -pi -e 's/`sdl-config --cflags`/`sdl-config --cflags` `freetype-config --cflags`/' utils/Makefile
CFLAGS="%optflags %ldflags" CXXFLAGS="%optflags" make

%install
rm -rf %{buildroot}
install -m755 %{name} -D %{buildroot}%{_gamesbindir}/%{name}


install -m 755 -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Tuxpuck
Comment=Clone of ShufflePuck Cafee
Exec=%{_gamesbindir}/%name
Icon=arcade_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Educational;Teaching;X-MandrivaLinux-MoreApplications-Education-Other;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING 
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Wed May 01 2013 pinoc <vogtpet at gmail.com> 0.8.2-1.pclos2013
- imported package tuxpuck
